Bug 789270 - KeyError: 'ibus-gjs-3.2.1.20111230.tar.gz'
KeyError: 'ibus-gjs-3.2.1.20111230.tar.gz'
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-10 03:52 EST by Kamil Páral
Modified: 2013-07-04 04:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-04 04:41:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kamil Páral 2012-02-10 03:52:53 EST
Description of problem:

$ wget http://kojipkgs.fedoraproject.org/packages/ibus/1.4.1/1.fc15/src/ibus-1.4.1-1.fc15.src.rpm

$ rpmlint ibus-1.4.1-1.fc15.src.rpm
ibus.src:399: W: macro-in-comment %{_sysconfdir}
0 packages and 0 specfiles checked; 0 errors, 1 warnings.
Traceback (most recent call last):
  File "/usr/bin/rpmlint", line 379, in <module>
    main()
  File "/usr/bin/rpmlint", line 169, in main
    runChecks(pkg)
  File "/usr/bin/rpmlint", line 229, in runChecks
    check.check(pkg)
  File "/usr/share/rpmlint/SpecCheck.py", line 143, in check
    self.check_spec(pkg, self._spec_file)
  File "/usr/share/rpmlint/SpecCheck.py", line 567, in check_spec
    pkgfile = pkg.files()[url.split("/")[-1]]
KeyError: 'ibus-gjs-3.2.1.20111230.tar.gz'


Version-Release number of selected component (if applicable):
rpmlint-1.4-1.fc16.noarch

How reproducible:
always
Comment 1 Ville Skyttä 2012-02-11 05:28:07 EST
This seems to be because rpmlint is getting a different list of sources from the parsed specfile than the one from srpm headers, because variables affecting them might not be the same when parsing the specfile locally and when the package was built somewhere else - in this case the headers have ibus-gjs-3.0.2.20111118.tar.gz but the specfile object gives us ibus-gjs-3.2.1.20111230.tar.gz (at least on F-16).

I don't it's possible for us to really fix this, so I'm just sidestepping the crasher upstream: http://rpmlint.zarb.org/cgi-bin/trac.cgi/changeset/1900
Comment 2 Fedora End Of Life 2013-01-16 14:17:15 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Kamil Páral 2013-01-17 06:06:58 EST
Still the same issue with rpmlint-1.4-11.fc17.noarch.
Comment 4 Fedora End Of Life 2013-07-03 23:37:45 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Kamil Páral 2013-07-04 04:41:54 EDT
Fixed with rpmlint-1.5-1.fc19.noarch

Note You need to log in before you can comment on or make changes to this bug.